@import './header';
@import './footer';

.post {
  &__img {
    max-width: 1200px;
    margin-bottom: 56px;

    &-rails {
      width: 100%;
    }
  }

  &__subtitle {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 16px;
    line-height: 22px;
    color: #4E4E4E;
    margin-bottom: 24px;
  }

  &__cards {
    display: flex;
    width: 570px;
    gap: 20px;

    &-subtitle {
      font-weight: bold;
      font-size: 16px;
      line-height: 30px;
      color: #4E4E4E;
    }

    &-comment {
      font-size: 12px;
      line-height: 20px;
      color: #7C7C7C;
      margin-bottom: 13px;
    }

    &-text {
      font-size: 14px;
      line-height: 26px;
      color: #5C5C5C;
    }
  }

  &__items {
    display: grid;
    grid-template-columns: repeat(auto-fill, 570px);
    row-gap: 32px;
    column-gap: 25px;
    margin-bottom: 60px;
  }
}

@media (min-width: 481px) and (max-width: 992px) {
  .nav{
    gap: 17px;
    &__item{
    }
  }

  .post {

    &__items {
      grid-template-columns: auto;
      grid-template-rows: 1fr;
    }
  }
}

@media(min-width: 320px) and (max-width: 480px) {
  .post {
    &__subtitle{
      font-weight: bold;
      font-size: 14px;
      line-height: 22px;
    }

    &__cards {
      flex-direction: column;
      &-text{
        display: none;

      }
      &.delete{
        display: none;
      }
    }
  }

}
